#### D.13.5.3 realizationDimPoly

Procedure from library `realizationMatroids.lib` (see realizationMatroids_lib).

Usage:
  realizationDimPoly(I,C); where I is a homogeneous linear ideal defining the projective plane Y = V(I) and C is a list of intvectors such that each intvector represents a one-dimensional cone in the tropical fan curve whose relative realizability should be checked. This representation is done in the following way: the one-dimensional cone K is represented by a vector w whose equivalence class [w] in R^n/<1> can be written as [w] = m*[v] where [v] is the primitive generator of K and m is the weight of K.

Returns:
  If the relative realization space of the tropical fan curve C is non-empty, this routine returns the tuple (r,f), where r is the dimension of the relative realization space and f is an example of a homogeneous polynomial of degree deg(C) cutting out a curve X in Y which tropicalizes to C. In case the relative realization space is empty, the output is set to -1.

Example:

    LIB "realizationMatroids.lib";
    ring r = 0,(x(1..4)),dp;
    ideal I = x(1)+x(2)+x(3)+x(4);
    list C = list(intvec(2,2,0,0),intvec(0,0,2,2));
    //C represents the tropical fan curve which consists of the cones
    //cone([(1,1,0,0)]) and cone([(1,1,0,0)]), both with weight 2
    realizationDimPoly(I,C);
    ==> 0 x(1)^2+2*x(1)*x(2)+x(2)^2
    C = list(intvec(0,0,0,4),intvec(0,1,3,0),intvec(1,0,1,0),intvec(0,2,0,0),intvec(3,1,0,0));
    //C represents the tropical fan curve which consists of the cones
    //cone([(0,0,0,1)]) with weight 4,
    //cone([(0,1,3,0)]), cone([(1,0,1,0)]) both with weight 1,
    //cone([(0,1,0,0)]) with weight 2, and
    //cone([(3,1,0,0)]) with weight 1
    realizationDimPoly(I,C);
    ==> 7 x(1)*x(2)^3+x(1)^3*x(3)+x(2)^3*x(3)+x(1)*x(3)^3

User manual for Singular version 4.4.1, 2025, generated by texi2html.